All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::GuiInfoAdder Class Reference

`#include <guiInfoAdder.hpp>`

## Public Member Functions

| GuiInfoAdder (const int numberGpus, const bool guiEnabled=false)
virtual | ~GuiInfoAdder ()
void | addInfo (cv::Mat &cvOutputData, const int numberPeople, const unsigned long long id, const std::string &elementRenderedName, const unsigned long long frameNumber, const Array< long long > &poseIds=Array< long long >{}, const Array< float > &poseKeypoints=Array< float >{})

## Constructor & Destructor Documentation

op::GuiInfoAdder::GuiInfoAdder | ( | const int | numberGpus,
|  | const bool | guiEnabled = `false`
| ) |  |

virtual op::GuiInfoAdder::~GuiInfoAdder | ( |  | ) |

virtual

## Member Function Documentation

void op::GuiInfoAdder::addInfo | ( | cv::Mat & | cvOutputData,
|  | const int | numberPeople,
|  | const unsigned long long | id,
|  | const std::string & | elementRenderedName,
|  | const unsigned long long | frameNumber,
|  | const Array< long long > & | poseIds = `Array< long long >{}`,
|  | const Array< float > & | poseKeypoints = `Array< float >{}`
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gui/guiInfoAdder.hpp